## kgpg 16.08.3

=== debian/changelog ===
kgpg (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:10:09 +0100

kgpg (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:57:43 +0200

kgpg (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 29 Aug 2016 22:41:30 +0200

kgpg (4:16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 11:08:07 +0200

kgpg (4:16.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Backport upstream commit 3349d8a48ad1b957859a16643c912c4febec73b0 to fix
    a sporadic build failure; patch
    upstream_include-QStringList-instead-of-fwd-declarations.patch.
  * Do not force local installation to debian/tmp anymore, let it install
    directly in the package directory
    - remove the kgpg.install file, which was just copying everything
      installed in /usr, and is no more needed

 -- Pino Toscano <pino@debian.org>  Sat, 04 Jun 2016 09:24:25 +0200

kgpg (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:15:13 +0200

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               kdepimlibs5-dev,
               libboost-dev,
               libgpgme11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kgpg.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kgpg.git

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg | gnupg2, ${misc:Depends}, ${shlibs:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kgpg-dbg (<= 4:15.12.1-1~~)'

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepim-runtime

## kgpg 17.04.3

=== debian/changelog ===
kgpg (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:24 +0100

kgpg (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Porting packaging to KF5
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (16.12.3)

  [ Clive Johnston ]
  * Keep package simple and remove the install file

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:57 +0100

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,40 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               kdepimlibs5-dev,
+               extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libgpgme11-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+               libkf5akonadicontact-dev (>= 4:17.04.3~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5jobwidgets-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5textwidgets-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
+               pkg-kde-tools,
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kgpg.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kgpg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
 
 Package: kgpg
 Section: utils
 Architecture: any
 Depends: gnupg | gnupg2, ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: graphical front end for GNU Privacy Guard
  Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
  decrypt, sign, and verify files.  It features a simple editor for applying

## kgpg 17.12.3

=== debian/changelog ===
kgpg (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:03 +0000

kgpg (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:41 +0000

kgpg (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:47 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libgpgme11-dev,
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kgpg-([\d.]+).tar.xz

## kgpg 18.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "04")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kgpg VERSION ${KDE_APPLICATIONS_VERSION})
set(QT_MIN_VERSION "5.5.0")

find_package(ECM 5.21 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMSetupVersion)
include(CMakeFindDependencyMacro)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  DBus
  Gui
  PrintSupport
  Widgets
)

# Load the frameworks we need
find_package(KF5 5.28 REQUIRED
  Archive
  DocTools
  Codecs
  CoreAddons
  Crash
  DBusAddons
  I18n
  IconThemes
  JobWidgets
  KIO
  Notifications
  Service
  TextWidgets
  XmlGui
  WidgetsAddons
  WindowSystem
)

# kdepimlibs
find_package(KF5 REQUIRED
  AkonadiContact
  Contacts
)

# only headers are used
find_package(Gpgme REQUIRED)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory( icons )
add_subdirectory( doc )
include_directories(  ${KDEPIMLIBS_INCLUDE_DIR} ${GPGME_INCLUDES} )

option(KGPG_DEBUG_TRANSACTIONS "show commands and results of gpg calls in debug log" Off)

set(core_SRCS
   core/convert.cpp
   core/images.cpp
   core/emailvalidator.cpp
   core/kgpgkey.cpp
   core/KGpgExpandableNode.cpp
   core/KGpgKeyNode.cpp
   core/KGpgGroupMemberNode.cpp
   core/KGpgGroupNode.cpp
   core/KGpgNode.cpp
   core/KGpgOrphanNode.cpp
   core/KGpgRefNode.cpp
   core/KGpgRootNode.cpp
   core/KGpgSignableNode.cpp
   core/KGpgSignNode.cpp
   core/KGpgSubkeyNode.cpp
   core/KGpgUatNode.cpp
   core/KGpgUidNode.cpp
)

set(kgpg_editor_SRCS
   editor/kgpgmd5widget.cpp
   editor/kgpgeditor.cpp
   editor/kgpgtextedit.cpp
)

set(kgpg_model_SRCS
   model/gpgservermodel.cpp
   model/kgpgitemmodel.cpp
   model/groupeditproxymodel.cpp
   model/keylistproxymodel.cpp
   model/kgpgsearchresultmodel.cpp
   model/selectkeyproxymodel.cpp
)

set(kgpg_transaction_SRCS
   transactions/kgpgtransaction.cpp
   transactions/kgpgtransactionjob.cpp
   transactions/kgpgtransactionprivate.cpp
   transactions/kgpguidtransaction.cpp
   transactions/kgpgeditkeytransaction.cpp
   transactions/kgpgsigntransactionhelper.cpp
   transactions/kgpgchangedisable.cpp
   transactions/kgpgchangeexpire.cpp
   transactions/kgpgchangepass.cpp
   transactions/kgpgchangetrust.cpp
   transactions/kgpgdelsign.cpp
   transactions/kgpgdeluid.cpp
   transactions/kgpgencrypt.cpp
   transactions/kgpgexport.cpp
   transactions/kgpgaddphoto.cpp
   transactions/kgpgadduid.cpp
   transactions/kgpggeneratekey.cpp
   transactions/kgpggeneraterevoke.cpp
   transactions/kgpgdecrypt.cpp
   transactions/kgpgdelkey.cpp
   transactions/kgpgimport.cpp
   transactions/kgpgkeyservertransaction.cpp
   transactions/kgpgkeyservergettransaction.cpp
   transactions/kgpgkeyserversearchtransaction.cpp
   transactions/kgpgprimaryuid.cpp
   transactions/kgpgsendkeys.cpp
   transactions/kgpgsignkey.cpp
   transactions/kgpgsigntext.cpp
   transactions/kgpgsignuid.cpp
   transactions/kgpgtextorfiletransaction.cpp
   transactions/kgpgverify.cpp
)

set(kgpg_SRCS ${core_SRCS} ${kgpg_editor_SRCS} ${kgpg_model_SRCS} ${kgpg_transaction_SRCS}
   selectpublickeydialog.cpp
   selectsecretkey.cpp
   kgpgoptions.cpp
   keysmanager.cpp
   kgpg.cpp
   kgpg_debug.cpp
   main.cpp
   kgpgkeygenerate.cpp
   kgpginterface.cpp
   kgpgtextinterface.cpp
   gpgproc.cpp
   klinebufferedprocess.cpp
   klinebufferedprocessprivate.cpp
   keyservers.cpp
   detailedconsole.cpp
   keyinfodialog.cpp
   newkey.cpp
   keyexport.cpp
   conf_encryption.cpp
   kgpgrevokewidget.cpp
   keytreeview.cpp
   groupedit.cpp
   sourceselect.cpp
   kgpgchangekey.cpp
   kgpgfirstassistant.cpp
   kgpgexternalactions.cpp
   selectexpirydate.cpp
   caff.cpp
   foldercompressjob.cpp
)

set(kgpg_HDRS
   caff.h
   caff_p.h
   conf_encryption.h
   detailedconsole.h
   foldercompressjob.h
   gpgproc.h
   groupedit.h
   keyexport.h
   keyinfodialog.h
   keyservers.h
   keysmanager.h
   keytreeview.h
   kgpg.h
   kgpgchangekey.h
   kgpgexternalactions.h
   kgpgfirstassistant.h
   kgpginterface.h
   kgpgkeygenerate.h
   kgpgoptions.h
   kgpgrevokewidget.h
   kgpgtextinterface.h
   kgpg_debug.h
   klinebufferedprocess.h
   newkey.h
   selectexpirydate.h
   selectpublickeydialog.h
   selectsecretkey.h
   sourceselect.h
)

qt5_add_dbus_adaptor( kgpg_SRCS org.kde.kgpg.Key.xml keysmanager.h KeysManager)

qt5_add_dbus_interface(kgpg_SRCS org.kde.kgpg.Key.xml kgpg_interface )

ki18n_wrap_ui(kgpg_SRCS
    adduid.ui
    conf_gpg.ui
    searchres.ui
    groupedit.ui
    conf_ui2.ui
    conf_servers.ui
    conf_misc.ui
    newkey.ui
    keyexport.ui
    conf_encryption.ui
    kgpgKeyInfo.ui
    kgpgkeygenerate.ui
    kgpgrevokewidget.ui
    keyserver.ui
    conf_decryption.ui
    sourceselect.ui
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kgpg.png")
ecm_add_app_icon(kgpg_SRCS ICONS ${ICONS_SRCS})

kconfig_add_kcfg_files(kgpg_SRCS kgpgsettings.kcfgc )

add_executable(kgpg ${kgpg_SRCS} ${kgpg_HDRS})

if (KGPG_DEBUG_TRANSACTIONS)
	set_property(SOURCE ${kgpg_transaction_SRCS} APPEND PROPERTY COMPILE_DEFINITIONS "KGPG_DEBUG_TRANSACTIONS")
endif (KGPG_DEBUG_TRANSACTIONS)

set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "KGPG_VERSION=\"${KDE_APPLICATIONS_VERSION}\"")

target_link_libraries(kgpg
    KF5::AkonadiContact
    KF5::Archive
    KF5::Codecs
    KF5::Contacts
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::I18n
    KF5::IconThemes
    KF5::JobWidgets
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::Notifications
    KF5::Service
    KF5::TextWidgets
    KF5::XmlGui
    KF5::WidgetsAddons
    KF5::WindowSystem
    Qt5::PrintSupport
)

install(TARGETS kgpg  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES editor/kgpgeditor.rc keysmanager.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kgpg)
install( FILES tips  DESTINATION ${DATA_INSTALL_DIR}/kgpg)
install( PROGRAMS org.kde.kgpg.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES org.kde.kgpg.appdata.xml  DESTINATION ${KDE_INSTALL_METAINFODIR})
install( FILES kgpg.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES org.kde.kgpg.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES encryptfile.desktop encryptfolder.desktop viewdecrypted.desktop DESTINATION
${SERVICES_INSTALL_DIR}/ServiceMenus)
install( FILES org.kde.kgpg.Key.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

ecm_install_icons(ICONS
    16-apps-kgpg.png
    22-apps-kgpg.png
    32-apps-kgpg.png
    48-apps-kgpg.png
    64-apps-kgpg.png
    128-apps-kgpg.png
    sc-apps-kgpg.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kgpg (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:41 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libgpgme11-dev,
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg

## kgpg 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(kgpg VERSION ${KDE_APPLICATIONS_VERSION})
-set(QT_MIN_VERSION "5.5.0")
+set(QT_MIN_VERSION "5.9.0")
 
 find_package(ECM 5.21 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
@@ -59,6 +59,11 @@
 find_package(Gpgme REQUIRED)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
+#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 
 add_subdirectory( icons )
 add_subdirectory( doc )
@@ -142,7 +147,6 @@
    keysmanager.cpp
    kgpg.cpp
    kgpg_debug.cpp
-   main.cpp
    kgpgkeygenerate.cpp
    kgpginterface.cpp
    kgpgtextinterface.cpp
@@ -226,7 +230,9 @@
 
 kconfig_add_kcfg_files(kgpg_SRCS kgpgsettings.kcfgc )
 
-add_executable(kgpg ${kgpg_SRCS} ${kgpg_HDRS})
+add_library(kgpg_lib STATIC ${kgpg_SRCS} ${kgpg_HDRS})
+add_executable(kgpg main.cpp)
+target_link_libraries(kgpg kgpg_lib)
 
 if (KGPG_DEBUG_TRANSACTIONS)
 	set_property(SOURCE ${kgpg_transaction_SRCS} APPEND PROPERTY COMPILE_DEFINITIONS "KGPG_DEBUG_TRANSACTIONS")
@@ -234,7 +240,7 @@
 
 set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "KGPG_VERSION=\"${KDE_APPLICATIONS_VERSION}\"")
 
-target_link_libraries(kgpg
+target_link_libraries(kgpg_lib
     KF5::AkonadiContact
     KF5::Archive
     KF5::Codecs
@@ -257,6 +263,10 @@
     Qt5::PrintSupport
 )
 
+if(BUILD_TESTING)
+  add_subdirectory(tests)
+endif()
+
 install(TARGETS kgpg  ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
 ########### install files ###############

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-document-export-key.png
    16-actions-document-import-key.png
    16-actions-document-properties-key.png
    16-status-key-group.png
    16-status-key-orphan.png
    16-status-key-pair.png
    16-status-key-single.png
    22-actions-key-generate-pair.png
    22-actions-view-key-secret.png
    22-actions-document-export-key.png
    22-actions-document-import-key.png
    22-actions-document-properties-key.png
    22-status-key-group.png
    22-status-key-pair.png
    22-status-key-single.png
    32-actions-document-export-key.png
    32-actions-document-import-key.png
    32-actions-document-properties-key.png
    32-status-key-group.png
    32-status-key-pair.png
    32-status-key-single.png
    48-actions-document-export-key.png
    48-actions-document-import-key.png
    48-actions-document-properties-key.png
    48-status-key-group.png
    48-status-key-pair.png
    48-status-key-single.png
    sc-actions-document-export-key.svgz
    sc-actions-document-import-key.svgz
    sc-actions-document-properties-key.svgz
    sc-status-key-group.svgz
    sc-status-key-pair.svgz
    sc-status-key-single.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
kgpg (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:00:51 +0100

kgpg (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:27 +0200

kgpg (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Add needed build-dependencies for tests: gnupg2, gpg-agent, xauth
    and xvfb.
  * Tests are flaky, so make them not fail the build.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:49:35 +0200

kgpg (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * use secure copyright format uri.
  * small fixes in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:24:34 +0200

kgpg (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Remove version information from build-deps.
  * Update copyright file.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:19 +0100

kgpg (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879343)

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.

  [ Pino Toscano ]
  * Remove unused kio-dev build dependency.
  * Simplify watch file, and switch it to https.
  * Remove the alternative dependency on gnupg2, leaving only gnupg.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 13:24:23 +0100

kgpg (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:24 +0200

kgpg (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:36:20 +0000

kgpg (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:09 +0000

kgpg (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:50 +0000

kgpg (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:17:38 +0000

kgpg (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:07 +0000

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.21.0~),
               gnupg2,
               gpg-agent,
               libgpgme-dev,
               libkf5akonadicontact-dev,
               libkf5archive-dev (>= 5.28~),
               libkf5codecs-dev (>= 5.28~),
               libkf5contacts-dev,
               libkf5coreaddons-dev (>= 5.28~),
               libkf5crash-dev (>= 5.28~),
               libkf5dbusaddons-dev (>= 5.28~),
               libkf5doctools-dev (>= 5.28~),
               libkf5i18n-dev (>= 5.28~),
               libkf5iconthemes-dev (>= 5.28~),
               libkf5jobwidgets-dev (>= 5.28~),
               libkf5kio-dev (>= 5.28~),
               libkf5notifications-dev (>= 5.28~),
               libkf5service-dev (>= 5.28~),
               libkf5textwidgets-dev (>= 5.28~),
               libkf5widgetsaddons-dev (>= 5.28~),
               libkf5windowsystem-dev (>= 5.28~),
               libkf5xmlgui-dev (>= 5.28~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgpg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgpg.git

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kgpg-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## kgpg 18.12.3

=== debian/changelog ===
kgpg (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:35 +0100

kgpg (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:14 +0000

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libgpgme11-dev,
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg | gnupg2, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.

## kgpg 19.04.3

=== debian/changelog ===
kgpg (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libgpgme11-dev,
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),

## kgpg 19.08.3

=== debian/changelog ===
kgpg (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:15 +0100

kgpg (4:19.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Make sure it gets compiled against KDEPIM 19.08.

 -- Sandro Knauß <hefee@debian.org>  Mon, 11 Nov 2019 16:42:42 +0100

kgpg (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:40:50 +0100

kgpg (4:18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:20 +0100

kgpg (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:41:57 +0200

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.21.0~),
               gnupg2,
               gpg-agent,
               libgpgme-dev,
               libkf5akonadicontact-dev (>> 4:19.08.2~),
               libkf5archive-dev (>= 5.28~),
               libkf5codecs-dev (>= 5.28~),
               libkf5contacts-dev (>> 4:19.08.2~),
               libkf5coreaddons-dev (>= 5.28~),
               libkf5crash-dev (>= 5.28~),
               libkf5dbusaddons-dev (>= 5.28~),
               libkf5doctools-dev (>= 5.28~),
               libkf5i18n-dev (>= 5.28~),
               libkf5iconthemes-dev (>= 5.28~),
               libkf5jobwidgets-dev (>= 5.28~),
               libkf5kio-dev (>= 5.28~),
               libkf5notifications-dev (>= 5.28~),
               libkf5service-dev (>= 5.28~),
               libkf5textwidgets-dev (>= 5.28~),
               libkf5widgetsaddons-dev (>= 5.28~),
               libkf5windowsystem-dev (>= 5.28~),
               libkf5xmlgui-dev (>= 5.28~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgpg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgpg.git

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg, ${misc:Depends}, ${shlibs:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kgpg-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## kgpg 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -16,10 +16,11 @@
 include(ECMInstallIcons)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 include(ECMSetupVersion)
 include(CMakeFindDependencyMacro)
+include(ECMQtDeclareLoggingCategory)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
   Core
@@ -59,10 +60,7 @@
 find_package(Gpgme REQUIRED)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions(-DQT_NO_CAST_FROM_ASCII)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_USE_QSTRINGBUILDER)
 #add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 
 add_subdirectory( icons )
@@ -70,6 +68,9 @@
 include_directories(  ${KDEPIMLIBS_INCLUDE_DIR} ${GPGME_INCLUDES} )
 
 option(KGPG_DEBUG_TRANSACTIONS "show commands and results of gpg calls in debug log" Off)
+
+
+
 
 set(core_SRCS
    core/convert.cpp
@@ -146,7 +147,6 @@
    kgpgoptions.cpp
    keysmanager.cpp
    kgpg.cpp
-   kgpg_debug.cpp
    kgpgkeygenerate.cpp
    kgpginterface.cpp
    kgpgtextinterface.cpp
@@ -171,6 +171,10 @@
    foldercompressjob.cpp
 )
 
+ecm_qt_declare_logging_category(kgpg_SRCS HEADER kgpg_general_debug.h IDENTIFIER KGPG_LOG_GENERAL CATEGORY_NAME org.kde.kgpg_general)
+ecm_qt_declare_logging_category(kgpg_SRCS HEADER kgpg_transactions_debug.h IDENTIFIER KGPG_LOG_TRANSACTIONS CATEGORY_NAME org.kde.kgpg_transactions)
+
+
 set(kgpg_HDRS
    caff.h
    caff_p.h
@@ -193,7 +197,6 @@
    kgpgoptions.h
    kgpgrevokewidget.h
    kgpgtextinterface.h
-   kgpg_debug.h
    klinebufferedprocess.h
    newkey.h
    selectexpirydate.h
@@ -236,7 +239,7 @@
 
 if (KGPG_DEBUG_TRANSACTIONS)
 	set_property(SOURCE ${kgpg_transaction_SRCS} APPEND PROPERTY COMPILE_DEFINITIONS "KGPG_DEBUG_TRANSACTIONS")
-endif (KGPG_DEBUG_TRANSACTIONS)
+endif ()
 
 set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "KGPG_VERSION=\"${KDE_APPLICATIONS_VERSION}\"")
 
@@ -293,6 +296,13 @@
     THEME hicolor
 )
 
+if (ECM_VERSION VERSION_GREATER "5.58.0")
+    install(FILES kgpg.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+else()
+    install(FILES kgpg.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+endif()
+
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)

=== tests/CMakeLists.txt ===
find_package(Qt5Test REQUIRED)

add_library(kgpg_tests_common STATIC
	common.h common.cpp)
target_link_libraries(kgpg_tests_common kgpg_lib)

function(create_test name)
	add_executable(${name} ${ARGN})
	target_link_libraries(${name} kgpg_lib kgpg_tests_common Qt5::Test)
	add_test(NAME ${name} COMMAND ${name})
	add_dependencies(${name} test-data)
endfunction()

create_test(kgpg-import kgpgimport.h kgpgimport.cpp)
create_test(kgpg-verify kgpgverify.h kgpgverify.cpp)
create_test(kgpg-change-trust kgpgchangetrust.h kgpgchangetrust.cpp)
create_test(kgpg-disable kgpgchangedisable.h kgpgchangedisable.cpp)
create_test(kgpg-interface kgpginterface.h kgpginterface.cpp)
create_test(kgpg-encrypt kgpgencrypt.h kgpgencrypt.cpp)
create_test(kgpg-decrypt kgpgdecrypt.h kgpgdecrypt.cpp)
create_test(kgpg-del-key kgpgdelkey.h kgpgdelkey.cpp)
create_test(kgpg-add-photo kgpgaddphoto.h kgpgaddphoto.cpp)
create_test(kgpg-add-uid kgpgadduid.h kgpgadduid.cpp)
create_test(kgpg-export kgpgexport.h kgpgexport.cpp)

add_custom_target(test-data)

add_custom_command(TARGET test-data  PRE_BUILD
	COMMAND ${CMAKE_COMMAND} -E
	copy_directory ${CMAKE_SOURCE_DIR}/tests/keys ${CMAKE_BINARY_DIR}/tests/keys)

=== debian/changelog ===
kgpg (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:55 +0100

kgpg (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:06 +0100

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libgpgme11-dev,
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg | gnupg2, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.

## kgpg 20.08.1

=== debian/changelog ===
kgpg (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:18:51 +0200

kgpg (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 08:02:47 +0200

kgpg (4:20.04.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Wrap long lines in changelog entries: 4:16.04.0-1.
  * Use secure URI in Homepage field.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Enable hardening all.
  * Update the dependencies like they are shipped.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 15:58:00 +0200

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.21.0~),
               gettext,
               gnupg2,
               gpg-agent,
               libgpgme-dev,
               libkf5akonadicontact-dev,
               libkf5archive-dev (>= 5.28~),
               libkf5codecs-dev (>= 5.28~),
               libkf5contacts-dev,
               libkf5coreaddons-dev (>= 5.28~),
               libkf5crash-dev (>= 5.28~),
               libkf5dbusaddons-dev (>= 5.28~),
               libkf5doctools-dev (>= 5.28~),
               libkf5i18n-dev (>= 5.28~),
               libkf5iconthemes-dev (>= 5.28~),
               libkf5jobwidgets-dev (>= 5.28~),
               libkf5kio-dev (>= 5.28~),
               libkf5notifications-dev (>= 5.28~),
               libkf5service-dev (>= 5.28~),
               libkf5textwidgets-dev (>= 5.28~),
               libkf5widgetsaddons-dev (>= 5.28~),
               libkf5windowsystem-dev (>= 5.28~),
               libkf5xmlgui-dev (>= 5.28~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgpg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgpg.git
Rules-Requires-Root: no

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg, ${misc:Depends}, ${shlibs:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.

## kgpg 20.12.0

=== debian/changelog ===
kgpg (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.11
    - KF5 >= 5.71
    - drop libkf5iconthemes-dev
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 03 Jan 2021 23:14:05 +0100

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               gnupg2,
               gpg-agent,
               libgpgme-dev,
               libkf5akonadicontact-dev,
               libkf5archive-dev (>= 5.71.0~),
               libkf5codecs-dev (>= 5.71.0~),
               libkf5contacts-dev,
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5jobwidgets-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5service-dev (>= 5.71.0~),
               libkf5textwidgets-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/kgpg
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgpg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgpg.git
Rules-Requires-Root: no

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg, ${misc:Depends}, ${shlibs:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.
